%define name    libhydrogen
%define version 0.8.1beta3
%define release 0
%define prefix  /usr

Summary:	Shared library for Hydrogen Drum Machine
Name:           %{name}
Version:        %{version}
Release:        %{release}
Copyright:	GPL
Vendor:		Comix <comix@users.sourceforge.net>
Url:		http://hydrogen.sourceforge.net

Packager:	Alessandro Cominu <comix@users.sourceforge.net>
Group:		Applications/Sound
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		%{prefix}



%description
Shared library for Hydrogen Drum Machine.



%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure  --prefix /usr \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.libhydrogen
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.libhydrogen
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.libhydrogen

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/libhydrogen
rm -rf ../file.list.libhydrogen


%files -f ../file.list.libhydrogen

%changelog
 * Sat May 25 2003 Comix <comix@users.sourceforge.net>
- release 0.8.0

 * Sun Feb 23 2003 Comix <comix@users.sourceforge.net>
- release 0.7.5

 * Sun Feb 09 2003 Comix <comix@users.sourceforge.net>
- Fixed bug in Song export
- Application font selection in preferences
- Many little bug fix

 * Sun Feb 02 2003 Comix <comix@users.sourceforge.net>
- Many audio engine bugfix
- New Audio Engine Information Dialog
- New Instrument properties Dialog
- Current playing pattern highlight
- New Export song dialog (replaces DiskWriterDriver)
- New play sample button in Mixer

* Sat Nov 30 2002 Comix <comix@users.sourceforge.net>
- First RPM package for libhydrogen
